Description: Fixes POD errors
Author: Christopher Hoskin <christopher.hoskin@gmail.com>
Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=102275
Last-Update: 2016-09-23

--- a/lib/Net/Interface/Developer.pm
+++ b/lib/Net/Interface/Developer.pm
@@ -8,7 +8,7 @@
 
 =head1 NAME
 
-Net::Interface::Developer api, notes, hints
+Net::Interface::Developer - api, notes, hints
 
 =head1 DESCRIPTION
 
@@ -176,7 +176,7 @@
 
 Both function sets result in a printed description to the terminal window to
 facilitate code creation and debug. Currently the B<ref> is unused. It is
-expected that future developement will modify or add to function access.
+expected that future development will modify or add to function access.
 
   # test.pl for developer
   #
@@ -197,7 +197,7 @@
 =head1 DEVELOPER API DESCRIPTION
 
 If you have gotten this far, it is time to read some of the code. AF_familes
-and IFREQ_families are accessed through constuctor structs found at the bottom
+and IFREQ_families are accessed through constructor structs found at the bottom
 of each of the ni_af_xxx and ni_xx_ifreq source files. Their vectoring
 components are described in C<ni_func.h> near the bottom and in C<ni_util.c>
 in the section labeled B<constructor registration> the essence of which is
@@ -266,7 +266,7 @@
 
 =item NI_PRINT_IPV6(struct sin6_addr);
 
-  Takes an agrument of the form sockaddr_in6.sin6_addr and prints
+  Takes an argument of the form sockaddr_in6.sin6_addr and prints
 
 	XXXX:XXXX:XXXX:XXXX:XXXX:XXXX:XXXX:XXXX
 
@@ -429,6 +429,7 @@
 
 	nifp->refreshir 
 
+=back
 
 =head1 COPYRIGHT
 
--- a/inst/netsymbols.pl
+++ b/inst/netsymbols.pl
@@ -800,6 +800,9 @@
 
   i.e.
 |, $utxt, q|
+
+=back
+
 =head1 AUTHOR	Michael Robinton <michael@bizsystems.com>
 
 =head1 COPYRIGHT	|. ((localtime())[5] +1900) .q|
--- a/Interface.pm
+++ b/Interface.pm
@@ -337,10 +337,10 @@
 code. If you have been using a previous version of Net::Interface you should
 verify that these API changes do not break your code.
 
-=over 6
-
 B<NO LONGER SUPPORTED>
 
+=over 6
+
 =item * I<$naddr=$if-E<gt>address($naddr);>
 
 =item * I<$naddr=$if-E<gt>netmask($naddr);>
@@ -360,10 +360,10 @@
 
 	Net::Interface->new(\%iface_spec);
 
-=over 6
-
 B<NO LONGER SUPPORTED>
 
+=over 6
+
 =item * I<($sa_family,$size,$naddr)=$if-E<gt>address($naddr);>
 
 =back
@@ -384,10 +384,10 @@
 
 The new API is described in detail later in this document.
 
-=over 6
-
 B<NO LONGER SUPPORTED>
 
+=over 6
+
 =item * I<($sa_family,$size,$hwaddr)=$if-E<gt>hwaddress($hwaddr);>
 
 =back
@@ -471,8 +471,6 @@
 	$old_metric = $if->metric($new_metric);
     etc...
 
-=back
-
 =item * I<-E<gt>new();> has multiple calling invocations.
 
 This method will refresh the data for an existing interface OR it can modify
@@ -534,6 +532,8 @@
 The keyword B<alias> says not to change the primary interface but instead to
 add an address to the interface.
 
+=back
+
 =item * $refresh_if = I<-E<gt>delete($naddr);>
 
 Removes and address from an interface where supported.
